<?php
/****************************************************************************
 * Copyright (C) 2010  Michael Oberg
 *
 * This file is part of the AjaxSync framework.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 ****************************************************************************/

/**
 * Perform a HTTP digest authentication, get the username and check which
 * functions are readable for this user. Return the list and the username.
 *
 * @author Michael Oberg
 */
class userinfo extends authDigest {
    public function run($request) {
        $user = $this->getUsername(); // the user is already authenticated, otherwise the object cannot be instantiated
        $list = ajaxsyncAccessControl::functionList($user);
        $output = "";
        foreach ($list as $l) {
            $output .= ajaxsyncDataExchange::writeList($l) . "\n";
        }
        echo $user . "\n"
            . (preg_match("/webkit/i", $_SERVER["HTTP_USER_AGENT"]) ? "1" : "0") . "\n"
            . $output;
    }
}
?>
