<?php
/* 
 * Copyright (C) 2010  Michael Oberg
 * 
 * This file is part of the AjaxSync framework.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/**
 * Default timezone. This definition is only used for formatting the timstamps
 * in your traffic logfile, but it can't be left empty.
 */
date_default_timezone_set("Europe/Berlin");

/**
 * Command which starts the Synchronizer service - the important
 * part is the path. If it is relative, it has to be relative to
 * the index.php file.
 */
define('AJAXSYNC_SYNCHRONIZER_CMD','/var/www/apps/chat-ajaxsync/Synchronizer/dist/Debug/GNU-Linux-x86/synchronizer 2>&1');

/**
 * TCP port on which the AjaySync Synchronizer service listens.
 */
define('AJAXSYNC_PORT',9003);

/**
 * Password for the AjaxSync Synchronizer service.
 */
define('AJAXSYNC_PASSWORD','wl9c+ao/5as8');

/**
 * Keeplive duration of the Synchronizer service.
 */
define('AJAXSYNC_KEEPALIVE_DELAY',20);

/**
 * Synchronizer service log level.
 */
define('AJAXSYNC_LOGLEVEL',2);

/**
 * Synchronizer logfile.
 */
define('AJAXSYNC_LOGFILE', '/var/www/apps/chat-ajaxsync/logs/synchronizer.log');

/**
 * Log traffic.
 */
define('AJAXSYNC_PHPLOG', 1);

/**
 * Traffic logfile.
 */
define('AJAXSYNC_PHPLOGFILE', '/var/www/apps/chat-ajaxsync/logs/traffic.log');

/**
 * AjaxSync database connection:
 */
define('AJAXSYNC_DBSERVER','localhost');
define('AJAXSYNC_DBNAME','demochat');
define('AJAXSYNC_DBUSER','demochat');
define('AJAXSYNC_DBPW','oD=s812vsKa1');
?>
