<?php
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <link rel="stylesheet" type="text/css" href="css/style.css"/>
        <link type="text/css" href="css/jquery-ui-1.8.12.custom.css" rel="stylesheet"/>
        <link rel="shortcut icon" href="images/ajaxsync16.ico" type="image/x-icon"/>
        <!-- Warning: jquery-1.5.1.min.js does not work with iPhone 4 -->
        <script type="text/javascript" src="js/jquery-1.4.2.min.js"></script>
        <script type="text/javascript" src="js/jquery-ui-1.8.12.custom.min.js"></script>
        <script type="text/javascript" src="js/tiny_mce/jquery.tinymce.js"></script>
        <title>Schwarzes Brett f&uuml;r Chatroom <?=$group?></title>
        <style type="text/css">
            table { margin: 0px; padding: 0px; }
            td { margin: 0px; padding: 0px 0px 3px 3px; }
        </style>
        <script type="text/javascript">
            var isWebKit;
            function edit(id) {
                var title = document.getElementById('title_'+id).innerHTML;
                if (title == ' ' || title == '&nbsp;')
                    title = '';
                document.getElementById('entrytitle').value = title;
                if (isWebKit) {
                    document.getElementById('newentry').value
                        = document.getElementById('content_'+id).innerHTML
                }
                else {
                    $('#newentry').html(
                        document.getElementById('content_'+id).innerHTML
                    );
                }
                document.getElementById('entryid').value = id;
            }
            function delentry(id) {
                document.getElementById('delentryid').value = id;
                document.getElementById('delForm').submit();
            }
            function save() {
                var title = document.getElementById('entrytitle').value;
                if (title == '')
                    title = '&nbsp;';
                document.getElementById('saveTitle').value = title;
                if (isWebKit) {
                    document.getElementById('saveContent').value
                        = document.getElementById('newentry').value;
                }
                else {
                    document.getElementById('saveContent').value
                        = $('#newentry').html();
                }
                document.getElementById('sendForm').submit();
            }
            function cancel() {
                document.getElementById('entrytitle').value = '';
                document.getElementById('saveTitle').value = '';
                document.getElementById('saveContent').value = '';
                document.getElementById('entryid').value = '';
                if (isWebKit) {
                    document.getElementById('newentry').value = '';
                }
                else {
                    $('#newentry').html('');
                }
            }
            function init() {
                if (window.opener && window.opener.app)
                    isWebKit = window.opener.app.isWebKit;
                $(function() {
                    $( "#accordion" ).accordion({active: false, autoHeight: false});
                });
                if (!isWebKit) {
                    $('textarea.tinymce').tinymce({
                        // Location of TinyMCE script
                        script_url : 'js/tiny_mce/tiny_mce.js',
     
                        // General options
                        theme : "advanced",
                        plugins : "pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template,advlist",
    
                        // Theme options
                        theme_advanced_buttons1 : "bold,italic,underline,strikethrough,|,justifyleft,justifycenter,justifyright,justifyfull,formatselect,fontselect,fontsizeselect",
                        theme_advanced_buttons2 : "cut,copy,paste,pastetext,pasteword,|,bullist,numlist,|,outdent,indent,blockquote,|,undo,redo,|,link,unlink,image,help",
                        theme_advanced_buttons3 : "forecolor,backcolor,|,charmap,emotions,iespell,",
                        theme_advanced_toolbar_location : "top",
                        theme_advanced_toolbar_align : "left",
                        theme_advanced_statusbar_location : "bottom",
     
                        // Example content CSS (should be your site CSS)
                        content_css : "css/style.css"
                    });
                }
            }
        </script>
    </head>
    <body onload="init();">
        <form id="sendForm" action="blackboardSave" method="post" style="display: none;">
            <div>
                <input type="hidden" name="title" id="saveTitle"/>
                <input type="hidden" name="content" id="saveContent"/>
                <input type="hidden" name="entryid" id="entryid"/>
                <input type="hidden" name="chatroom" value="<?=$group?>"/>
            </div>
        </form>
        <form id="delForm" action="blackboardDel" method="post" style="display: none;">
            <div>
                <input type="hidden" name="entryid" id="delentryid"/>
                <input type="hidden" name="chatroom" value="<?=$group?>"/>
            </div>
        </form>
        <table cellspacing="0" style="margin: 0px; padding: 0px; width: 100%;">
            <tr>
                <td style="font-size: 16px; padding-right: 10px;">
                    Titel:
                </td>
                <td>
                    <input type="text" id="entrytitle" style="width: 300px;"/>
                </td>
                <td style="text-align: right;">
                    <div class="link-button-compat ui-state-default ui-corner-all" style="width: 93px; margin: 0px 0px 0px auto;"><a href="javascript:void" onclick="save(); return false;"><span class="ui-icon ui-icon-signal-diag"></span>Speichern</a></div>
                </td>
                <td>
                    <div class="link-button-compat ui-state-default ui-corner-all" style="width: 96px; margin: 0px;"><a href="javascript:void" onclick="cancel(); return false;"><span class="ui-icon ui-icon-closethick"></span>Abbrechen</a></div>
                </td>
            </tr>
        </table>
        <div>
            <textarea cols="auto" rows="auto" class="tinymce" style="width: 100%" id="newentry"></textarea>
        </div>
        <div id="accordion" style="margin-top: 20px;">
<?
for ($i = 0; $i < count($entries); $i++) {
    echo "<h3><a href='javascript:void;'>"
        . "<span id='title_" . $entries[$i]["id"] . "'>"
        . $entries[$i]["title"]
        . "</span><span style='float: right; font-size: 11px;'>"
        . $entries[$i]["author"]
        . " "
        . preg_replace("/^([0-9]*)-([0-9]*)-([0-9]*) ([0-9]*):([0-9]*):([0-9]*)$/","$3.$2.$1 $4:$5",$entries[$i]["created"])
        . "</span></a></h3>\n";
    echo "<div><div style='float: right; margin: -1em -1.8em 0px 0px;'>"
        . "<div class='link-button-compat ui-state-default ui-corner-all' style='width: 58px; margin: 0px;'><a href='javascript:void' onclick='edit("
        . $entries[$i]["id"]
        . "); return false;'><span class='ui-icon ui-icon-pencil'></span>Edit</a></div>"
        . "<div class='link-button-compat ui-state-default ui-corner-all' style='width: 58px; margin: 0px;'><a href='javascript:void' onclick='delentry("
        . $entries[$i]["id"]
        . "); return false;'><span class='ui-icon ui-icon-closethick'></span>Del</a></div>"
        . "</div>\n"
        . "<div id='content_" . $entries[$i]["id"] . "'>"
        . $entries[$i]["content"] . "</div>"
        . "</div>\n";
}
?>
        </div>
        <div id='out'></div>
    </body>
</html>
