# phpMyAdmin SQL Dump
# version 2.5.2-rc1
# http://www.phpmyadmin.net
#
# Host: localhost
# Erstellungszeit: 01. Juni 2011 um 13:38
# Server Version: 5.0.18
# PHP-Version: 5.3.2
# 
# Datenbank: `chat`
# 

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `blackboard`
#
# Erzeugt am: 01. Mai 2011 um 11:05
# Aktualisiert am: 31. Mai 2011 um 14:19
# Letzter Check am: 01. Mai 2011 um 11:05
#

CREATE TABLE `blackboard` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `group` int(10) unsigned NOT NULL,
  `created` datetime NOT NULL,
  `author` varchar(50) NOT NULL,
  `title` varchar(50) NOT NULL,
  `content` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `group` (`group`,`created`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=41 ;

#
# Daten fr Tabelle `blackboard`
#


# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `callreferences`
#
# Erzeugt am: 09. Mrz 2011 um 12:54
# Aktualisiert am: 01. Juni 2011 um 12:52
#

CREATE TABLE `callreferences` (
  `call` int(11) NOT NULL,
  `qid` int(11) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

#
# Daten fr Tabelle `callreferences`
#


# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `calls`
#
# Erzeugt am: 09. Mrz 2011 um 12:54
# Aktualisiert am: 01. Juni 2011 um 12:52
# Letzter Check am: 01. Juni 2011 um 12:46
#

CREATE TABLE `calls` (
  `id` int(11) NOT NULL auto_increment,
  `fid` int(11) NOT NULL,
  `param` text collate utf8_unicode_ci NOT NULL,
  `sender` int(11) NOT NULL,
  `cid` int(11) NOT NULL,
  `timeout` int(11) NOT NULL,
  `received` int(11) NOT NULL,
  `callends` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `callends` (`callends`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=16046 ;

#
# Daten fr Tabelle `calls`
#


# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `credentials`
#
# Erzeugt am: 09. Mrz 2011 um 12:54
# Aktualisiert am: 09. Mrz 2011 um 12:54
#

CREATE TABLE `credentials` (
  `digest` varchar(50) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Daten fr Tabelle `credentials`
#

INSERT INTO `credentials` VALUES ('603db07336081ac983496d46b6e5e576');

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `functions`
#
# Erzeugt am: 09. Mrz 2011 um 12:54
# Aktualisiert am: 31. Mai 2011 um 14:25
#

CREATE TABLE `functions` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) collate utf8_unicode_ci NOT NULL,
  `owner` int(11) default NULL,
  `group` int(11) default NULL,
  `uread` tinyint(1) NOT NULL,
  `uwrite` tinyint(1) NOT NULL,
  `gread` tinyint(1) NOT NULL,
  `gwrite` tinyint(1) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=38 ;

#
# Daten fr Tabelle `functions`
#

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `groupmembers`
#
# Erzeugt am: 09. Mrz 2011 um 12:54
# Aktualisiert am: 30. Mai 2011 um 17:12
#

CREATE TABLE `groupmembers` (
  `user` int(11) NOT NULL,
  `group` int(11) NOT NULL,
  PRIMARY KEY  (`user`,`group`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

#
# Daten fr Tabelle `groupmembers`
#

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `groups`
#
# Erzeugt am: 09. Mrz 2011 um 12:54
# Aktualisiert am: 31. Mai 2011 um 14:25
#

CREATE TABLE `groups` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=39 ;

#
# Daten fr Tabelle `groups`
#

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `hashes`
#
# Erzeugt am: 03. April 2011 um 14:19
# Aktualisiert am: 31. Mai 2011 um 14:22
#

CREATE TABLE `hashes` (
  `user` int(10) unsigned NOT NULL,
  `hash` varchar(50) NOT NULL,
  `timestamp` datetime NOT NULL,
  `deluser` tinyint(1) unsigned NOT NULL default '1',
  `roomid` int(10) unsigned default NULL,
  PRIMARY KEY  (`hash`),
  UNIQUE KEY `user` (`user`,`roomid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Daten fr Tabelle `hashes`
#

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `queues`
#
# Erzeugt am: 09. Mrz 2011 um 12:54
# Aktualisiert am: 01. Juni 2011 um 12:52
#

CREATE TABLE `queues` (
  `id` int(11) NOT NULL auto_increment,
  `session` int(11) NOT NULL,
  `fid` int(11) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `queues` (`session`,`fid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=2168 ;

#
# Daten fr Tabelle `queues`
#

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `sessioncontainer`
#
# Erzeugt am: 09. Mrz 2011 um 12:54
# Aktualisiert am: 01. Juni 2011 um 13:31
#

CREATE TABLE `sessioncontainer` (
  `id` int(11) NOT NULL auto_increment,
  `session` varchar(50) collate utf8_unicode_ci NOT NULL,
  `content` text collate utf8_unicode_ci,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `session` (`session`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=6044 ;

#
# Daten fr Tabelle `sessioncontainer`
#

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `status`
#
# Erzeugt am: 09. Mrz 2011 um 13:41
# Aktualisiert am: 09. Mrz 2011 um 13:41
#

CREATE TABLE `status` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `name` varchar(20) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=4 ;

#
# Daten fr Tabelle `status`
#

INSERT INTO `status` VALUES (1, 'unregistered');
INSERT INTO `status` VALUES (2, 'active');
INSERT INTO `status` VALUES (3, 'banned');

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `synchronizer`
#
# Erzeugt am: 09. Mrz 2011 um 12:54
# Aktualisiert am: 31. Mai 2011 um 18:47
#

CREATE TABLE `synchronizer` (
  `id` int(10) unsigned NOT NULL auto_increment,
  `port` int(10) unsigned NOT NULL,
  `delay` int(10) unsigned NOT NULL,
  `loglevel` int(10) unsigned NOT NULL,
  `logfile` varchar(255) NOT NULL,
  `pid` int(10) unsigned NOT NULL,
  `started` datetime NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `started` (`started`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=194 ;

#
# Daten fr Tabelle `synchronizer`
#

# --------------------------------------------------------

#
# Tabellenstruktur fr Tabelle `users`
#
# Erzeugt am: 26. Mrz 2011 um 14:19
# Aktualisiert am: 01. Juni 2011 um 13:31
#

CREATE TABLE `users` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) collate utf8_unicode_ci NOT NULL,
  `pw` varchar(50) collate utf8_unicode_ci NOT NULL,
  `timeout` int(11) NOT NULL,
  `digest` varchar(50) collate utf8_unicode_ci NOT NULL,
  `email` varchar(80) collate utf8_unicode_ci NOT NULL,
  `status` tinyint(1) unsigned NOT NULL default '1',
  `created` datetime NOT NULL,
  `activated` datetime NOT NULL,
  `lastaccess` datetime NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`),
  UNIQUE KEY `email` (`email`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=66 ;

#
# Daten fr Tabelle `users`
#

