<?php
/****************************************************************************
 * Copyright (C) 2010  Michael Oberg
 * 
 * This file is part of the AjaxSync framework.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 ****************************************************************************/

/**
 * @file controller/blackboardDel.php
 * Deletes an bakcboard entry and reloads the chatroom blackboard page
 *
 * @author Michael Oberg
 */
class blackboardDel extends authDigest {
    public function run($request) {
        ajaxsyncSession::session_start();
        if (ajaxsyncSession::$values["AJAXSYNC_USER"] != $this->getUsername()) {
            exit(0); // should not happen - username changed due to relogin
        }
        $entryid = mysql_escape_string($request["entryid"]);
        $chatroom = $request["chatroom"];
        $chatroomEsc = mysql_escape_string($chatroom);
        $gidlist = ajaxsyncDB::selectMultiple("select g.id from groups g, groupmembers m where m.user = " . ajaxsyncSession::$values["AJAXSYNC_UID"] . " and m.`group` = g.id and g.name = '$chatroomEsc'");
        if (count($gidlist)) {
            $gid = $gidlist[0]["id"];
        }
        else {
            $gidlist = ajaxsyncDB::selectMultiple("select f.`group` from functions f, groups g where f.owner = " . ajaxsyncSession::$values["AJAXSYNC_UID"] . " and f.`group` = g.id and g.name = '$chatroomEsc'");
            if (count($gidlist)) {
                $gid = $gidlist[0]["group"];
            }
        }
        if ($gid) {
            ajaxsyncDB::change("delete from blackboard where blackboard.`group` = $gid and blackboard.id = $entryid");
        }
        header("Location: " . blackboard . "?id=" . $chatroom);
    }
}
?>
