<?php
/****************************************************************************
 * Copyright (C) 2010  Michael Oberg
 * 
 * This file is part of the AjaxSync framework.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 ****************************************************************************/

/**
 * @file controller/invite.php
 * Sends an invitation to a chatroom.
 *
 * @author Michael Oberg
 */
class invite extends authDigest {
    public function run($request) {
        $user = mysql_escape_string($request["user"]);
        $room = mysql_escape_string($request["room"]);
        $name = mysql_escape_string($request["name"]);
        $emaillist = ajaxsyncDB::selectMultiple("select email, id from users where name = '$user' and status = 2");
        if (!count($emaillist)) {
            throw new Exception("Failed: User '$user' unknown.");
        }
        $email = $emaillist[0]["email"];
        $memberid = $emaillist[0]["id"];
        $invitator = $this->getUsername();
        $userdata = ajaxsyncDB::selectSingle("select id from users where name = '$invitator'");
        $ownerid = $userdata["id"];
        if ($room == '-' || $room == '') {
            $roomlist = ajaxsyncDB::selectMultiple("select name from groups where name = '$name'");
            if (count($roomlist)) {
                throw new Exception("Failed: A chatroom '$name' already exists.");
            }
            if (!preg_match("/^[a-zA-Z0-9._-]+$/",$name)) {
                throw new Exception("Failed: invalid roomname '$name'");
            }
            $roomid = ajaxsyncDB::insertId("insert into groups (name) values ('$name')");
            ajaxsyncDB::change("insert into functions (name,owner,`group`,uread,uwrite,gread,gwrite) values ('$name',$ownerid,$roomid,1,1,1,1)");
        }
        else {
            $roomlist = ajaxsyncDB::selectMultiple("select id from groups where name = '$room'");
            if (!count($roomlist)) {
                throw new Exception("Failed: A chatroom '$room' is unknown.");
            }
            $roomid = $roomlist[0]["id"];
        }
        $linkid = md5(date('r', time()));
        $random_hash = md5(date('r', time()));
        ajaxsyncDB::change("delete from hashes where date_add(timestamp, interval 1 day) <= now() and roomid is not null");
        ajaxsyncDB::change("delete from hashes where user = $memberid and roomid = $roomid");
        ajaxsyncDB::change("insert into hashes (user,hash,timestamp,roomid) values ($memberid,'$linkid',now(),$roomid)");
 
        $headers = "From: ".CHAT_MAIL_FROM."\r\nBcc: michael.oberg@mylinuxproject.de\r\nContent-Type: multipart/alternative; boundary=\"PHP-alt-".$random_hash."\"";
 
        $content = "This is a multi-part message in MIME format.

--PHP-alt-$random_hash
Content-Type: text/plain; charset=\"".CHAT_MAIL_ENCODING."\"
Content-Transfer-Encoding: quoted-printable

".CHAT_INVITATION_PLAINTEXT($invitator,$linkid)."

--PHP-alt-$random_hash
Content-Type: text/html; charset=\"".CHAT_MAIL_ENCODING."\"
Content-Transfer-Encoding: 7bit

".CHAT_INVITATION_HTML($invitator,$linkid);
 
        mail($email,CHAT_INVITATION_SUBJECT,$content,$headers); // ignore return value

        echo 'Mail was sent.';
    }
}
?>
