<?php
/****************************************************************************
 * Copyright (C) 2010  Michael Oberg
 * 
 * This file is part of the AjaxSync framework.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 ****************************************************************************/

/**
 * @file controller/inviteAnswer.php
 * Confirms an invitation and redirects to the chat start page.
 *
 * @author Michael Oberg
 */
class inviteAnswer { // no login check here!
    public function run($request) {
        $linkid = $_GET["id"];
        if (!preg_match("/^[a-f0-9]{32}$/",$linkid)) {
            require_once AJAXSYNC_APPDIR . 'template/error404.php';
            exit(0);
        }
        ajaxsyncDB::change("delete from hashes where hash = '$linkid' and date_add(timestamp, interval 1 day) <= now()");
        if (!ajaxsyncDB::changeAffected("insert into groupmembers (user,`group`) select user, roomid from hashes where hash = '$linkid'")) {
            require_once AJAXSYNC_APPDIR . 'template/error404.php';
            exit(0);
        }

        ajaxsyncDB::change("delete from hashes where hash = '$linkid'"); // not needed anymore
        header("Location: " . CHAT_LOCATION_STARTPAGE);
    }
}
?>
