<?php
/****************************************************************************
 * Copyright (C) 2010  Michael Oberg
 * 
 * This file is part of the AjaxSync framework.
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 ****************************************************************************/

/**
 * @file controller/start.php
 * Controller / AjaxSync HTTP function call. Creates the HTML start page which runs
 * the JavaScript AjaxSync client. It calls the template file directly, without
 * using a view class - because all output generated later is created by a
 * connector/client (not on the server) and displayed by the JavaScript client,
 * AjaxSync does not need views for its own controllers, and it would be overkill
 * to use a view class only for this single start page.
 *
 * @author Michael Oberg
 */
class start {
    public function run($request) {
        require_once AJAXSYNC_APPDIR . 'template/start.php';
    }
}
?>
