<?php
/**
 * @file template/start.php
 * This is the AjaxSync example chat application. Like the error
 * document it creates a XHTML strict document and uses the
 * applications style sheet. The XML header is not added for
 * Microsoft Internet Explorer, it would cause problems.
 *
 * @author Michael Oberg
 */
if (!preg_match("/MSIE /",$_SERVER['HTTP_USER_AGENT'])) {
    echo '<?xml version="1.0" encoding="UTF-8"?>'."\n";
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
    <!--
    Copyright (C) 2010  Michael Oberg
    
    This file is part of the AjaxSync framework.
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.
    
    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.
    
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
    -->
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
        <link rel="shortcut icon" href="images/ajaxsync16.ico" type="image/x-icon"/>
        <title>AjaxSync Chat Demo</title>
    </head>
    <body>
        <div id="htmlContent"></div>
        <script type="text/javascript" src="js/widget.js"></script>
    </body>
</html>
